function D = odct2dict(n,L)
%ODCT2DICT 2-D overcomplete DCT dictionary.
%  D = ODCT2DICT(N,L) returns the overcomplete DCT dictionary D for 2D NxN
%  signals. L is the required size of the overcomplete dictionary, and is
%  rounded up to the nearest square integer.

L = ceil(sqrt(L));
D = odctdict(n,L);
D = kron(D,D);
