function D = odct3dict(n,L)
%ODCT3DICT 3-D overcomplete DCT dictionary.
%  D = ODCT3DICT(N,L) returns the overcomplete DCT dictionary D for 3D
%  NxNxN signals. L is the required size of the overcomplete dictionary,
%  and is rounded up to the nearest cubic integer.

L = ceil(L^(1/3));
D = odctdict(n,L);
D = kron(kron(D,D),D);
